<template>
<div>
<div class="form-group text-center" v-if="data.logo">
                            <img :src="getImage(data.logo)" height="200px" alt="Logo Inovasi">
                        </div>

                        <div class="table-responsive">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>Jenis</th>
                                        <th>Nama</th>
                                        <th>PIC</th>
                                        <th>Email</th>
                                        <th>Kontak</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>{{data.innovator.jenis_innovators.name}}</td>
                                        <td>{{data.nama_singkat}}</td>
                                        <td>{{data.innovator.nama_pic}}</td>
                                        <td>
                                            {{data.innovator.user.email}} 
                                            <br>
                                            {{data.innovator.email_cadangan}}
                                        </td>
                                        <td>
                                            {{data.innovator.kontak}}
                                            <br>
                                            {{data.innovator.kontak_cadangan}}
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>

                        <div class="table-responsive">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th width="20%"></th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>Tahapan</td>
                                        <td>: {{data.tahapaninovasi.name}}</td>
                                    </tr>
                                    <tr>
                                        <td>Inisiator</td>
                                        <td>: {{data.inisiatorinovasi.name}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>

                        <div class="table-responsive">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>Sistem</th>
                                        <th>Bentuk</th>
                                        <th>Jenis</th>
                                        <th>Covid-19</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>{{data.sisteminovasi.name}}</td>
                                        <td>{{data.bentukinovasi.name}}</td>
                                        <td>{{data.jenisinovasi.name}}</td>
                                        <td>{{data.covidinovasi.name}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>

                        <div class="table-responsive">
                            <table class="table">
                                <thead>
                                    <th width="20%"></th>
                                    <th></th>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>Bidang Fokus</td>
                                        <td>: {{data.bidanginovasi.name}}</td>
                                    </tr>
                                    <tr>
                                        <td>Urusan Inovasi</td>
                                        <td>
                                            :
                                            <span v-for="item in data.urusaninovasi">
                                                {{item.name}},
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Uji Coba</td>
                                        <td>: {{data.waktu_ujicoba}}</td>
                                    </tr>
                                    <tr>
                                        <td>Penerapan</td>
                                        <td>: {{data.waktu_implementasi}}</td>
                                    </tr>
                                    <tr>
                                        <td>Rancang Bangun</td>
                                        <td>: {{data.rancang_bangun}}</td>
                                    </tr>
                                    <tr>
                                        <td>Tujuan</td>
                                        <td>: {{data.tujuan}}</td>
                                    </tr>
                                    <tr>
                                        <td>Manfaat</td>
                                        <td>: {{data.manfaat}}</td>
                                    </tr>
                                    <tr>
                                        <td>Hasil</td>
                                        <td>: {{data.hasil}}</td>
                                    </tr>
                                    <tr>
                                        <td>Pengalaman</td>
                                        <td>:
                                            {{data.pengalamans.nama_pengalaman}},
                                            {{data.pengalamans.penyelenggara}},
                                            {{data.pengalamans.tahun_pengalaman}},
                                            {{data.pengalamans.predikat}}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Penghargaan</td>
                                        <td>:
                                            {{data.penghargaans.nama_penghargaan}},
                                            {{data.penghargaans.pemberi_penghargaan}},
                                            {{data.penghargaans.tahun_penghargaan}},
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>HaKI</td>
                                        <td>: 
                                            {{data.hkis.nomor}},
                                            {{data.hkis.tanggal}},
                                            {{data.hkis.nama_pencipta}},
                                            {{data.hkis.pemegang_hakcipta}},
                                            {{data.hkis.jenis_ciptaan}},
                                            {{data.hkis.judul_ciptaan}},
                                            {{data.hkis.nomor_pencatatan}},
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                            <div>Kompilasi Foto :</div>
                            <div class="form-group" v-if="foto">
                                <span v-for="item in foto">
                                    <img :src="getImage(item)" height="200px" alt="Foto"> &ensp;
                                </span>
                            </div>
                            <div>Video :</div>
                            <div class="form-group" v-if="video">
                                <div v-for="item in video">
                                    <a :href="item.link_video" target="_blank">{{item.link_video}}</a>
                                </div>
                            </div>
                        </div>

    <button type="submit" @click.prevent="back()" class="btn btn-secondary mr-2">Back</button>
    
</form>
</div>
</template>

<script>

export default {
    props:['dataprop'],
    data() {
         return {
            url:'',
            type:'',
            data:{},
            foto:{},
            video:{},
         }
    },

    created(){
        this.initial()
       
    },
    methods:{  
        initial(){
           this.url  = this.dataprop.url         
           this.type = this.dataprop.type      
           if(!_.isEmpty(this.dataprop.data)){
                this.data = this.dataprop.data;
                this.foto = JSON.parse(this.dataprop.data.photos)
                this.video = JSON.parse(this.dataprop.data.linkvideos)
           }
        },
        getImage(img){
            return `/${img}`

        },
        submit(){
            this.$validator.validate().then(valid => {
                if (valid) {
                   this.axiosForm(this.data)
                }
              });
        },
        axiosForm(data){
            let self = this
            var formData = this.formData(data)
            axios.post(this.url,formData).then(function(response) {
                self.data = response.data
                let msg = self.titleCase(self.type) + ' Success!'
                self.$swal('Attention!', msg, 'success')
                if(self.type==='add'){
                    self.clearAll()
                    self.back()
                }
            })
            .catch(function(error) {
                // console.error(error);
            });
        },
        titleCase(str) {
          str = str.toLowerCase().split(' ');
          for (var i = 0; i < str.length; i++) {
            str[i] = str[i].charAt(0).toUpperCase() + str[i].slice(1); 
          }
          return str.join(' ');
        },
        clearAll(){
            this.data = {}
            this.veeErrors.items = []
        },
        back(){
            this.toParent('list',this.data)
        },
        formData(obj){
            var formData = new FormData();
            for (var key in obj) {
                formData.append(key, obj[key]);
            }
            return formData;
        },
        toParent(action,data){
            let dataEmit = {
                action : action,
                data : data,
            }
            // console.log(dataEmit)
            this.$emit('data-prop', dataEmit)
        },      
    }
}
</script>
<style>
    .square {
      width: 100px;
      height: 100px;
      background: white;
    }

    .colorin {
      background: #66D1D1;
      padding:5px;
      border-radius:3px;
    }
</style>
